## VOICE All Call Status indication VOICE All Call Status indication |

## Functions

QmiIndicationVoiceAllCallStatusOutput * | qmi_indication_voice_all_call_status_output_ref ()
void | qmi_indication_voice_all_call_status_output_unref ()
gboolean | qmi_indication_voice_all_call_status_output_get_remote_party_number ()
gboolean | qmi_indication_voice_all_call_status_output_get_call_information ()

## Types and Values

| QmiIndicationVoiceAllCallStatusOutput
| QmiIndicationVoiceAllCallStatusOutputRemotePartyNumberCall
| QmiIndicationVoiceAllCallStatusOutputCallInformationCall

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationVoiceAllCallStatusOutput

## Description

## Functions

### qmi_indication_voice_all_call_status_output_ref ()

    QmiIndicationVoiceAllCallStatusOutput *
    qmi_indication_voice_all_call_status_output_ref
                                   (QmiIndicationVoiceAllCallStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationVoiceAllCallStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_indication_voice_all_call_status_output_unref ()

    void
    qmi_indication_voice_all_call_status_output_unref
                                   (QmiIndicationVoiceAllCallStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationVoiceAllCallStatusOutput. |

Since: 1.14

### qmi_indication_voice_all_call_status_output_get_remote_party_number ()

    gboolean
    qmi_indication_voice_all_call_status_output_get_remote_party_number
                                   (QmiIndicationVoiceAllCallStatusOutput *self,
                                    GArray **value_remote_party_number,
                                    GError **error);

Get the 'Remote Party Number' field from `self` .

#### Parameters

self | a QmiIndicationVoiceAllCallStatusOutput. |
value_remote_party_number | a placeholder for the output GArray of QmiIndicationVoiceAllCallStatusOutputRemotePartyNumberCall elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiIndicationVoiceAllCallStatusOutputRemotePartyNumberCall][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_indication_voice_all_call_status_output_get_call_information ()

    gboolean
    qmi_indication_voice_all_call_status_output_get_call_information
                                   (QmiIndicationVoiceAllCallStatusOutput *self,
                                    GArray **value_call_information,
                                    GError **error);

Get the 'Call Information' field from `self` .

#### Parameters

self | a QmiIndicationVoiceAllCallStatusOutput. |
value_call_information | a placeholder for the output GArray of QmiIndicationVoiceAllCallStatusOutputCallInformationCall elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiIndicationVoiceAllCallStatusOutputCallInformationCall][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

## Types and Values

### QmiIndicationVoiceAllCallStatusOutput

    typedef struct _QmiIndicationVoiceAllCallStatusOutput QmiIndicationVoiceAllCallStatusOutput;

The QmiIndicationVoiceAllCallStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiIndicationVoiceAllCallStatusOutputRemotePartyNumberCall

    typedef struct {
        guint8 id;
        QmiVoicePresentation presentation_indicator;
        gchar *type;
    } QmiIndicationVoiceAllCallStatusOutputRemotePartyNumberCall;

A QmiIndicationVoiceAllCallStatusOutputRemotePartyNumberCall struct.

#### Members

guint8 `id`; | a guint8. |
QmiVoicePresentation `presentation_indicator`; | a QmiVoicePresentation. |
gchar *`type`; | a string. |

Since: 1.14

### QmiIndicationVoiceAllCallStatusOutputCallInformationCall

    typedef struct {
        guint8 id;
        QmiVoiceCallState state;
        QmiVoiceCallType type;
        QmiVoiceCallDirection direction;
        QmiVoiceCallMode mode;
        gboolean multipart_indicator;
        QmiVoiceAls als;
    } QmiIndicationVoiceAllCallStatusOutputCallInformationCall;

A QmiIndicationVoiceAllCallStatusOutputCallInformationCall struct.

#### Members

guint8 `id`; | a guint8. |
QmiVoiceCallState `state`; | a QmiVoiceCallState. |
QmiVoiceCallType `type`; | a QmiVoiceCallType. |
QmiVoiceCallDirection `direction`; | a QmiVoiceCallDirection. |
QmiVoiceCallMode `mode`; | a QmiVoiceCallMode. |
gboolean `multipart_indicator`; | a gboolean. |
QmiVoiceAls `als`; | a QmiVoiceAls. |

Since: 1.14